/* Copyright 2025 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: ssd1306.ino
 * Author: Jed Marti KI7NNP
 * Description: OLED display primitives.
 * Created: Sat Oct  4 19:24:20 2025
 * Revision History:
 */

#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#include "powerard.h"
#include "ssd1306.h"


extern Adafruit_SSD1306 display;

void initSSD1306(void)
{
    // SSD1306_SWITCHCAPVCC = generate display voltage from 3.3V internally
  if(!display.begin(SSD1306_SWITCHCAPVCC, OLEDI2C))
  {
    Serial.println(F("** Screen fails to start"));
  }
  display.setTextColor(SSD1306_WHITE);
  display.cp437(true);
  display.clearDisplay();
  display.display();
}



// EOF
